Loading...
Searching...
No Matches
Dune::IdentityMap Struct Reference

A property map that applies the identity function to integers. More...

`#include <dune/common/propertymap.hh>`

Inheritance diagram for Dune::IdentityMap:

## Public Types

typedef std::size_t | KeyType
| The key type of the map.
typedef std::size_t | ValueType
| The value type of the map.
typedef std::size_t | Reference
| The reference type of the map.
typedef ReadablePropertyMapTag | Category
| The category of the map.

## Public Member Functions

ValueType | operator[] (const KeyType &key) const

## Detailed Description

A property map that applies the identity function to integers.

## Member Typedef Documentation

## Category

typedef ReadablePropertyMapTag Dune::IdentityMap::Category

The category of the map.

## KeyType

typedef std::size_t Dune::IdentityMap::KeyType

The key type of the map.

## Reference

typedef std::size_t Dune::IdentityMap::Reference

The reference type of the map.

## ValueType

typedef std::size_t Dune::IdentityMap::ValueType

The value type of the map.

## Member Function Documentation

## operator[]()

ValueType Dune::IdentityMap::operator[] | ( | const KeyType & | key | ) | const

inline

The documentation for this struct was generated from the following file:

- propertymap.hh